<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Noise.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d27/_noise_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">Noise.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d9/d27/_noise_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/deb/class_noise_system.html">NoiseSystem</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aceda78b4f4625e1c9901f7bf4a7f5cf0"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d0/deb/class_noise_system.html">NoiseSystem</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> ()</td></tr>
<tr class="separator:aceda78b4f4625e1c9901f7bf4a7f5cf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8c4b581b1d6b9a9580bd194b16bd68d"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d27/_noise_8c.html#af8c4b581b1d6b9a9580bd194b16bd68d">NoiseSystem</a> ()</td></tr>
<tr class="separator:af8c4b581b1d6b9a9580bd194b16bd68d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5403d0e26a9ed82ed56a98cdb4e3131"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d27/_noise_8c.html#aa5403d0e26a9ed82ed56a98cdb4e3131">~NoiseSystem</a> ()</td></tr>
<tr class="separator:aa5403d0e26a9ed82ed56a98cdb4e3131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a1d99e681946b365a48030eb3822859"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d27/_noise_8c.html#a6a1d99e681946b365a48030eb3822859">AddNoise</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source_entity, <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> noise_params, <a class="el" href="../../d4/dc3/classfloat.html">float</a> external_strenght_multiplier=1.0)</td></tr>
<tr class="separator:a6a1d99e681946b365a48030eb3822859"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49bc3a098542bf3d68cbb1dc85b1281d"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d27/_noise_8c.html#a49bc3a098542bf3d68cbb1dc85b1281d">AddNoisePos</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source_entity, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> noise_params, <a class="el" href="../../d4/dc3/classfloat.html">float</a> external_strenght_multiplier=1.0)</td></tr>
<tr class="separator:a49bc3a098542bf3d68cbb1dc85b1281d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cc776aa3088dc0b621750dda0413372"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d27/_noise_8c.html#a5cc776aa3088dc0b621750dda0413372">AddNoiseTarget</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d4/dc3/classfloat.html">float</a> lifetime, <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> noise_params, <a class="el" href="../../d4/dc3/classfloat.html">float</a> external_strength_multiplier=1.0)</td></tr>
<tr class="memdesc:a5cc776aa3088dc0b621750dda0413372"><td class="mdescLeft">&#160;</td><td class="mdescRight">Will make a noise at that position which the AI will "see" for the duration of 'lifetime'.  <a href="../../d9/d27/_noise_8c.html#a5cc776aa3088dc0b621750dda0413372">More...</a><br /></td></tr>
<tr class="separator:a5cc776aa3088dc0b621750dda0413372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c22f2b682011b305c0ceaa089a41cf"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d27/_noise_8c.html#a08c22f2b682011b305c0ceaa089a41cf">Load</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> noise_name)</td></tr>
<tr class="separator:a08c22f2b682011b305c0ceaa089a41cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b57df16e6dcfe99d52567fb394627f4"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d27/_noise_8c.html#a2b57df16e6dcfe99d52567fb394627f4">LoadFromPath</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> noise_path)</td></tr>
<tr class="separator:a2b57df16e6dcfe99d52567fb394627f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a6a1d99e681946b365a48030eb3822859" name="a6a1d99e681946b365a48030eb3822859"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a1d99e681946b365a48030eb3822859">&#9670;&#160;</a></span>AddNoise()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void NoiseParams::AddNoise </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source_entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>&#160;</td>
          <td class="paramname"><em>noise_params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>external_strenght_multiplier</em> = <code>1.0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a49bc3a098542bf3d68cbb1dc85b1281d" name="a49bc3a098542bf3d68cbb1dc85b1281d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49bc3a098542bf3d68cbb1dc85b1281d">&#9670;&#160;</a></span>AddNoisePos()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void NoiseParams::AddNoisePos </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source_entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>&#160;</td>
          <td class="paramname"><em>noise_params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>external_strenght_multiplier</em> = <code>1.0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5cc776aa3088dc0b621750dda0413372" name="a5cc776aa3088dc0b621750dda0413372"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cc776aa3088dc0b621750dda0413372">&#9670;&#160;</a></span>AddNoiseTarget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void NoiseParams::AddNoiseTarget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>lifetime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>&#160;</td>
          <td class="paramname"><em>noise_params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>external_strength_multiplier</em> = <code>1.0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Will make a noise at that position which the AI will "see" for the duration of 'lifetime'. </p>

</div>
</div>
<a id="a08c22f2b682011b305c0ceaa089a41cf" name="a08c22f2b682011b305c0ceaa089a41cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08c22f2b682011b305c0ceaa089a41cf">&#9670;&#160;</a></span>Load()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Load </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>noise_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b57df16e6dcfe99d52567fb394627f4" name="a2b57df16e6dcfe99d52567fb394627f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b57df16e6dcfe99d52567fb394627f4">&#9670;&#160;</a></span>LoadFromPath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void LoadFromPath </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>noise_path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aceda78b4f4625e1c9901f7bf4a7f5cf0" name="aceda78b4f4625e1c9901f7bf4a7f5cf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aceda78b4f4625e1c9901f7bf4a7f5cf0">&#9670;&#160;</a></span>NoiseParams()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d0/deb/class_noise_system.html">NoiseSystem</a> NoiseParams </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d27/_noise_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/d27/_noise_8c_source.html">Noise.c</a>.</p>

</div>
</div>
<a id="af8c4b581b1d6b9a9580bd194b16bd68d" name="af8c4b581b1d6b9a9580bd194b16bd68d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8c4b581b1d6b9a9580bd194b16bd68d">&#9670;&#160;</a></span>NoiseSystem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void NoiseParams::NoiseSystem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d27/_noise_8c_source.html#l00016">16</a> of file <a class="el" href="../../d9/d27/_noise_8c_source.html">Noise.c</a>.</p>

</div>
</div>
<a id="aa5403d0e26a9ed82ed56a98cdb4e3131" name="aa5403d0e26a9ed82ed56a98cdb4e3131"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5403d0e26a9ed82ed56a98cdb4e3131">&#9670;&#160;</a></span>~NoiseSystem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void NoiseParams::~NoiseSystem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d27/_noise_8c_source.html#l00017">17</a> of file <a class="el" href="../../d9/d27/_noise_8c_source.html">Noise.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../d9/d27/_noise_8c.html">Noise.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
